# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-tbgrep
%define fedora 19
%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

# tbgrep doesn't actually support python3 yet, but the spec cruft is here ready
# for the day when it does.
%global with_python3 0

%global modname tbgrep

Name:             python-module-tbgrep
Version:          0.2.2
Release:          alt1_2
Summary:          Extract Python Tracebacks from text

Group:            Development/Python
License:          GPLv3+
URL:              http://pypi.python.org/pypi/tbgrep
Source0:          http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python-devel
BuildRequires:    python-module-nose

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-module-nose
%endif
Source44: import.info

%description
A module & command-line tool for extracting Python tracebacks from text.

    $ tbgrep file1 file2 file3
    $ tail -f logfile | tbgrep

tbgrep can extract tracebacks from logs of various formats. For example,
CherryPy starts the traceback on a line with other details (like module,
timestamp, etc), but the rest of the trace starts at the beginning of the
line. Apache logs, on the other hand, will prefix each line of the
traceback with this information. tbgrep is designed to these kinds of
situations

%if 0%{?with_python3}
%package -n python3-module-tbgrep
Summary:        Extract Python Tracebacks from text
Group:          Development/Python

%description -n python3-module-tbgrep
A module & command-line tool for extracting Python tracebacks from text.

    $ tbgrep file1 file2 file3
    $ tail -f logfile | tbgrep

tbgrep can extract tracebacks from logs of various formats. For example,
CherryPy starts the traceback on a line with other details (like module,
timestamp, etc), but the rest of the trace starts at the beginning of the
line. Apache logs, on the other hand, will prefix each line of the
traceback with this information. tbgrep is designed to these kinds of
situations
%endif

%prep
%setup -q -n %{modname}-%{version}

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
mv %{buildroot}/%{_bindir}/tbgrep %{buildroot}/%{_bindir}/python3-tbgrep
popd
%endif

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py test

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py test
popd
%endif


%files
%doc README.rst LICENSE
%{python_sitelibdir_noarch}/%{modname}
%{python_sitelibdir_noarch}/%{modname}-%{version}*
%{_bindir}/tbgrep

%if 0%{?with_python3}
%files -n python3-module-tbgrep
%doc README.rst LICENSE
%{python3_sitelibdir_noarch}/%{modname}
%{python3_sitelibdir_noarch}/%{modname}-%{version}-*
%{_bindir}/python3-tbgrep
%endif


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_1
- initial fc import

